Subject: Re: bug#73500: eglot: diagnostic location not always shown

From: Federico Beffa <[email-masked]>
Date: Sat, 28 Sep 2024 17:23:30 +0200

The attached archive includes everything mentioned at the indicated link.
See the included `README.md` file for instructions on how to reproduce 
the bug (minimally).

It also points to instructions on how to install the Haskell tools, but, 
given that https://github.com/joaotavora/eglot claims support for the 
`haskell-language-server` (and to be up-to-date) I assume you have 
running test benches with everything.

On 28/09/2024 13:47, João Távora wrote:
> I would expect a 1-character long underline for the first one too.
>
> There might be a off-by-one error somewhere, but I doubt it.  I just
> tried with clangd a a diagnostic like this:
>
> {"code":"unknown_typename","message":"Unknown type name 'a'",
>   "range":{"end":{"character":1,"line":34},"start":{"character":0,"line":34}},
>   "severity":1,"source":"clang"}
>
> gets its own small underline.
>
> So, maybe look closer and if you still don't see it, follow the steps in
>
> https://joaotavora.github.io/eglot/#Reporting-bugs
>
> and construct a full error recipe so that we can (not) see it, too.
>
> João